var index = 0;
var total = 0;
var duration = 3000;
var interval;

function hasClass(ele,cls) {
	return ele.className.match(new RegExp('(\\s|^)'+cls+'(\\s|$)'));
}

function addClass(ele,cls) {
	if (!this.hasClass(ele,cls)) ele.className += " "+cls;
}

function removeClass(ele,cls) {
	if (hasClass(ele,cls)) {
		var reg = new RegExp('(\\s|^)'+cls+'(\\s|$)');
		ele.className = ele.className.replace(reg,' ');
	}
}

function init(totalNumber) {
	total = totalNumber;
	if ( fileAnimation == "true" ) {
		interval = self.setInterval("showAnimation()", duration / total);
	} else {
		showItAll();
	}
}

function showAnimation() {
	target = document.getElementById("item_" + index);
	removeClass(target, "hide");
	addClass(target, "animated");
	index += 1;
	if ( index >= total ) {
		window.clearInterval(interval);
	}
}

function showItAll(){
	for (var i = 0; i < total; i++) {
		target = document.getElementById("item_" + i);
		console.log(target);
		removeClass(target, "hide");
	}
}

function loadFile(filename, filetype){
	if (filetype=="js"){
		var fileref=document.createElement('script')
		fileref.setAttribute("type","text/javascript")
		fileref.setAttribute("src", filename)
	}
	else if (filetype=="css"){
		var fileref=document.createElement("link")
		fileref.setAttribute("rel", "stylesheet")
		fileref.setAttribute("type", "text/css")
		fileref.setAttribute("href", filename)
	}
	if (typeof fileref!="undefined"){
		document.getElementsByTagName("head")[0].appendChild(fileref)
	}
}

function getQueryParams(qs) {
	qs = qs.split('+').join(' ');

	var params = {},
		tokens,
		re = /[?&]?([^=]+)=([^&]*)/g;

	while (tokens = re.exec(qs)) {
		params[decodeURIComponent(tokens[1])] = decodeURIComponent(tokens[2]);
	}

	return params;
}

// Returns a random number between min (inclusive) and max (exclusive)
function getRandomArbitrary(min, max) {
  return Math.floor( Math.random() * (max - min) + min);
}

var query = getQueryParams(document.location.search);
var fileType = query.type ? query.type : "rectangle";
var fileQuality = query.quality ? query.quality : "good";
var fileIndex = query.index ? query.index : "0";
var fileString = fileType + "_" + fileQuality + "_" + fileIndex;
var fileAnimation = query.animation ? query.animation : "true";
loadFile("js/" + fileString + ".js", "js");
loadFile("css/" + fileString + ".css", "css");