var screenWidth = window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth;
var screenHeight = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
var column = 10;
var itemWidth = Math.ceil( screenWidth / column );
var row = Math.ceil( screenHeight / itemWidth );
var total = column * row;
var totalColor = 4;
var colors = new Array("#CFEFFE","#66BBE8","#137EBE","#0B5BA5");
console.log(total);


canvas = document.getElementById("canvas");
for (var i = 0; i < total * 2; i++) {
	columnNumber = Math.floor( i / row );
	rowNumber = Math.floor( i % row );
	itemColor = colors[ getRandomArbitrary(0, 4)];

	if ( columnNumber % 2 == 0 ) {
		// 右
		itemBorderWidth = 'border-width: ' + itemWidth / 2 + 'px 0 ' + itemWidth / 2 + 'px ' + itemWidth + 'px;';
		itemBorderColor = 'border-color: transparent transparent transparent ' + itemColor + ';';
		itemPosition = 'top:' + rowNumber * itemWidth +'px; left:' + (columnNumber / 2) * itemWidth +'px;';
	} else {
		// 左
		itemBorderWidth = 'border-width: ' + itemWidth / 2 + 'px ' + itemWidth + 'px ' + itemWidth / 2 + 'px 0;';
		itemBorderColor = 'border-color: transparent ' + itemColor + ' transparent transparent;';
		itemTop = rowNumber * itemWidth - itemWidth / 2;
		itemLeft = (columnNumber / 2) * itemWidth - itemWidth / 2;
		itemPosition = 'top:' + itemTop +'px; left:' + itemLeft +'px;';
		console.log( itemTop );
	}

	

	canvas.innerHTML += '<div id="item_' + i +'" class="hide flipInX" style="' + itemBorderWidth + itemBorderColor + itemPosition +'"></div>';
}

init(total * 2);