var screenWidth = window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth;
var screenHeight = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
var column = 14;
var itemWidth = Math.ceil( screenWidth / column );
var row = Math.ceil( screenHeight / itemWidth );
var total = column * row;
var totalColor = 4;
var colors = new Array("#A8DD00","#C9FFED","#00CDCC","#00907B","#A8DD00","#C9FFED","#00CDCC","#00907B");
console.log(total);


canvas = document.getElementById("canvas");
for (var i = 0; i < total; i++) {
	rowNumber = Math.floor( i / column );
	columnNumber = Math.floor( i % column );
	tempArray = colors.slice(0 + rowNumber % totalColor, totalColor + rowNumber % totalColor);
	itemColor = tempArray[i % totalColor];

	if ( (rowNumber % 2 == 0) && (columnNumber % 2 == 0) ) {
		// 右下
		itemBorderWidth = 'border-width:0 0 ' + itemWidth + 'px ' + itemWidth + 'px;';
		itemBorderColor = 'border-color: transparent transparent ' + itemColor + ' transparent;';
	} else if ( (rowNumber % 2 == 1) && (columnNumber % 2 == 0) ) {
		// 左下
		itemBorderWidth = 'border-width: ' + itemWidth + 'px 0 0 ' + itemWidth +'px;';
		itemBorderColor = 'border-color: transparent transparent transparent ' + itemColor + ';';
	} else if ( (rowNumber % 2 == 0) && (columnNumber % 2 == 1) ) {
		// 右上
		itemBorderWidth = 'border-width: 0 ' + itemWidth + 'px ' + itemWidth + 'px 0;';
		itemBorderColor = 'border-color: transparent ' + itemColor + ' transparent transparent;';
	} else {
		// 左上
		itemBorderWidth = 'border-width: ' + itemWidth + 'px ' + itemWidth + 'px 0 0;';
		itemBorderColor = 'border-color: ' + itemColor + ' transparent transparent transparent;';
	}
	itemPosition = 'top:' + rowNumber * itemWidth +'px; left:' + columnNumber * itemWidth +'px;';

	canvas.innerHTML += '<div id="item_' + i +'" class="hide rotateIn" style="' + itemBorderWidth + itemBorderColor + itemPosition +'"></div>';
}

init(total);